package nl.amis.crm;

import com.oracle.bpel.client.ServerException;

import java.io.IOException;

import java.rmi.RemoteException;

import java.util.Date;

import nl.amis.crm.bpel.client.CustomerProfileManager;

public class CustomerProfileClient {
    public CustomerProfileClient() {
    }

    public static void printCustomerReport( String customerId) {
      try {
          CustomerProfile profile = CustomerProfileManager.findCustomerProfile(customerId);
          System.out.println("The Customer Report for "+profile.getName()+" on "+new Date());
          System.out.println("============================================================================");
          System.out.println("Contact Details:");
          System.out.println("----------------");
          System.out.println("Address:"+profile.getStreet()+" "+profile.getHouseNumber());
          System.out.println("Financial Status:");
          System.out.println("----------------");
          System.out.println("Total Revenue:"+profile.getTotalRevenue());
          System.out.println("Credit Limit:"+profile.getCreditLimit());
      }
      catch (Exception e) {
          System.out.println("The Customer Report is not available due to an exception. Our sincere apologies.");
          e.printStackTrace();
      }
    }

    public static void main(String[] args) {
      // if no argument passed in on command line, then use 1 as default customerId        
      String customerId = args.length>0?args[0]:"1"; 
      CustomerProfileClient.printCustomerReport(customerId);
    }
}
